﻿using System;
using System.Diagnostics;
using System.IO;

namespace HelloWorldSVRest
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                SmartVault smartVault = new SmartVault();

                Console.WriteLine("Sign Up User");
                Console.WriteLine("First Name:");
                string firstName = Console.ReadLine();
                Console.WriteLine("Last Name:");
                string lastName = Console.ReadLine();
                Console.WriteLine("Phone Number:");
                string phoneNumber = Console.ReadLine();
                Console.WriteLine("Account Name:");
                string accountName = Console.ReadLine();
                Console.WriteLine("Vault Name:");
                string vaultName = Console.ReadLine();
                Console.WriteLine("User Email:");
                string email = Console.ReadLine();
                smartVault.SignUpUser(firstName, lastName, phoneNumber, accountName, vaultName, email);
                
                Console.WriteLine("User has been created.");
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
                Console.WriteLine(e.StackTrace);
            }

            Console.WriteLine("\nPress any key to exit");
            Console.ReadKey();
        }
    }
}